explain_getc_or_die(3)

NAME
explain_getc_or_die - input of characters and report errors
    "input of characters and report errors"

SYNOPSIS
#include <libexplain/getc.h>

int explain_getc_or_die(FILE *fp);

DESCRIPTION
The explain_getc_or_die function is used to call the getc(3) system call. On failure an explanation will be printed to stderr, obtained from explain_getc(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    int c = explain_getc_or_die(fp);

fp  The fp, exactly as to be passed to the getc(3) system call.

Returns:
    This function only returns on success, and returns the next character or EOF at end of input. On failure, prints an explanation and exits.

SEE ALSO

getc(3)
    input of characters

explain_getc(3)
    explain getc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller